Tuesday, 9 July 2013

Update ibus to 1.5 in saucy?

Hey everyone,

Updating ibus to 1.5 has been discussed for some cycles, and (afaik) we
have been holding on the update because:

- the new version had some issues (some bugs, problems with settings
migration, some features dropped like "im by windows" (which got added
back since it seems), ...)
- Debian didn't update yet
- to get proper GNOME/Unity support for ibus 1.5 we need g-s-d/g-c-c
3.6, or our current keyboard indicator was built on code going away ...
we needed somebody with cycles to write a proper indicator

Since the situation improved:
- the new ibus is out for a while, bugs got fixed
- we updated GNOME (while reverting the keyboard code to the old version
since that needs to be upgraded with ibus)
- we got a proper keyboard indicator:
https://launchpad.net/indicator-keyboard

Since most of the blockers have been resolved it seems like this cycle
is a good time to do the update (especially if next cycle is a LTS,
better to sort out issues one cycle in advance).

Before doing the update I wanted to check if anyone has an opinion on
the update (we don't have so many ibus users in the desktop team which
means we might be overlooking issues) and if the upgrade is fine for the
other flavors.

(We are going to push the new stack in the ubuntu-desktop ppa in the
next days, for extra testing, and will keep the list updated when that
happens)

Thanks for reading,
Sebastien Bacher

--
ubuntu-devel mailing list
[email protected]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-devel